package layout;

import java.awt.*;
import java.awt.event.*;
/**
 *   Program for handling Label component 
 * @version Version 1.0, 17 Aug 1998
 */
public class LabelWin extends Frame {
	private static final long serialVersionUID = 1L;
  //create choice
  Label statusBar = new Label();

  public static void main(String [] args) {
    LabelWin myWin = new LabelWin();
    myWin.setTitle("Label Window");

    myWin.pack();
    myWin.setSize(200, 150); //don't use resize()
    myWin.setVisible(true);
  }

  public LabelWin() {
    //add label on the window
    add(statusBar, BorderLayout.SOUTH);

    //register mouse motion event
    addMouseMotionListener(new MouseMotionEventHandler());

    //system exit
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
  }

  class MouseMotionEventHandler extends MouseMotionAdapter {

    private void printStatus(MouseEvent evt) {
      String str = " point (" + evt.getX() + ", " + evt.getY() + ")";
      statusBar.setText(str);
    }

    public void mouseMoved(MouseEvent evt) {
      printStatus(evt);
    } 

    public void mouseDragged(MouseEvent evt) {
      printStatus(evt);
    } 
  }

}